\exo{}
Donner le développement limité au voisinage de $0$ à l'ordre demandé des fonctions : 
\begin{enumerate}
  \item $\displaystyle x \mapsto \left( 1+ \sqrt{1+x^2} \right)^{\frac{1}{2}}$, ordre 4.
  \item $ \displaystyle x \mapsto \ln\left( \frac{\sin x}{x}\right)$, ordre $4$.
  \item $ \displaystyle x \mapsto (1+2x)^{\frac{1}{1+x}}$, ordre $4$.
  \item $ \displaystyle x \mapsto \frac{1}{\sin^2 x} - \frac{1}{\sinh^2 x}$, ordre $4$.
  \item $ \displaystyle x \mapsto e^{\sinh x} - \ln\left|\tan\left( \frac{x}{2} + \frac{\pi}{4}\right) \right|$, ordre $4$.
  \item $\displaystyle x \mapsto \frac{1}{x} - \frac{1}{\arcsin x}$, ordre $4$.
  \item $\displaystyle x \mapsto \sin(2x + 4x^2) - 2\sin(x+2x^2)$, ordre $3$.
  \item $\displaystyle x \mapsto e^{\sin x}$, ordre $3$. 
  \item $\displaystyle x \mapsto \frac{1}{1+ \sqrt{1+x} + \sqrt{1-x}}$, ordre $3$.
\end{enumerate}





\ifwithcorrection \correction 
\begin{enumerate}
  \item $\displaystyle \sqrt{2}\left( 1 + \frac{1}{8}x^2 - \frac{5}{158}x^4  + o(x^4)\right) $
  \item $\displaystyle -\frac{x^2}{6} - \frac{x^4}{180} + o(x^4)$
  \item $\displaystyle 1 +2x -2x^2 + \frac{10}{3}x^4 +o(x^4)$
  \item $\displaystyle \frac{2}{3} + \frac{4}{189}x^4 + o(x^4)$
  \item $\displaystyle 1 + \frac{x^2}{2} + \frac{x^3}{6} + \frac{5}{24}x^4 + o(x^4)$
  \item $\displaystyle \frac{x}{ 6} + \frac{17x^3}{360} + o(x^4)$
  \item $\displaystyle -x^3 + o(x^3)$
  \item $\displaystyle 1 +x +\frac{x^2}{2} + o(x^3)$
  \item $\displaystyle \frac{1}{3} + \frac{x^2}{36} + o(x^3)$
\end{enumerate}

\fi
